function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BgColorsOutlined } from '@ant-design/icons';
import { Dropdown, Segmented } from 'antd';
import React from 'react';
import { DEFAULT_ANTD_CSS_LINKS, DEFAULT_THEME_VARS } from './const';
var ThemeSwitch = function ThemeSwitch(props) {
  var themeVars = props.themeVars,
    antdCssLinks = props.antdCssLinks,
    _props$localStorageKe = props.localStorageKey,
    localStorageKey = _props$localStorageKe === void 0 ? '@theme' : _props$localStorageKe,
    onChange = props.onChange,
    options = props.options,
    style = props.style;
  var _ref = themeVars || DEFAULT_THEME_VARS,
    darkVars = _ref.dark,
    lightVars = _ref.light,
    aliVars = _ref.ali,
    greenVars = _ref.green;
  var _ref2 = antdCssLinks || DEFAULT_ANTD_CSS_LINKS,
    darkLink = _ref2.dark,
    lightLink = _ref2.light,
    aliLink = _ref2.ali,
    greenLink = _ref2.green;
  if (localStorage.getItem(localStorageKey)) {}
  var _React$useState = React.useState({
      theme: localStorage.getItem(localStorageKey) || 'light'
    }),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    state = _React$useState2[0],
    updateState = _React$useState2[1];
  var theme = state.theme;
  React.useEffect(function () {
    /** data-theme */
    document.documentElement.setAttribute('data-theme', theme);
    /** var css */
    var themeObj = lightVars;
    var cssUrl = lightLink;
    if (theme === 'dark') {
      themeObj = darkVars;
      cssUrl = darkLink;
    } else if (theme === 'ali') {
      themeObj = aliVars;
      cssUrl = aliLink;
    } else if (theme === 'green') {
      themeObj = greenVars;
      cssUrl = greenLink;
    }
    /** antd theme */
    var dom = window.document.getElementById('theme-style');
    if (dom) {
      dom.href = cssUrl;
    } else {
      // 创建一个 stylesheet 文件链接，动态 append 到 body 中
      // eslint-disable-next-line no-undef
      var _style = document.createElement('link');
      _style.type = 'text/css';
      _style.rel = 'stylesheet';
      _style.id = 'theme-style';
      _style.href = cssUrl;
      if (document.body.append) {
        document.body.append(_style);
      } else {
        document.body.appendChild(_style);
      }
    }
    Object.keys(themeObj).forEach(function (key) {
      document.documentElement.style.setProperty(key, themeObj[key]);
    });
    localStorage.setItem(localStorageKey, theme);
  }, [theme]);
  var handleChange = function handleChange(value) {
    updateState(function (preState) {
      return Object.assign(Object.assign({}, preState), {
        theme: value
      });
    });
    onChange && onChange(value);
  };
  var handleDropDownChange = function handleDropDownChange(event) {
    var value = event.key;
    updateState(function (preState) {
      return Object.assign(Object.assign({}, preState), {
        theme: value
      });
    });
    onChange && onChange(value);
  };
  var themeOptions = options || ['light', 'dark'];
  var useDropDown = themeOptions.length > 2;
  return /*#__PURE__*/React.createElement("div", {
    className: "theme-switch",
    style: style
  }, useDropDown ? /*#__PURE__*/React.createElement(Dropdown, {
    menu: {
      activeKey: theme,
      items: themeOptions.map(function (theme, i) {
        return {
          key: theme.value || theme,
          label: /*#__PURE__*/React.createElement("a", null, theme.icon, "\xA0 \xA0", theme.name || theme.value || theme)
        };
      }),
      onClick: handleDropDownChange
    },
    placement: "bottomLeft"
  }, /*#__PURE__*/React.createElement("a", {
    style: {
      margin: '0 8px 0 8px'
    }
  }, /*#__PURE__*/React.createElement(BgColorsOutlined, null))) :
  /*#__PURE__*/
  /** @ts-ignore */
  React.createElement(Segmented, {
    onChange: handleChange,
    value: theme,
    options: themeOptions
  }));
};
export default ThemeSwitch;